10 '*************************************************************************
20 '                    HOLMES LIFE CHANGE EVENTS INDEX
30 '                        Lawrence R. Walker, Ph.D.
40 '                           VERSION 1.1     1984
50 '*************************************************************************
60 KEY OFF:CLS:GOSUB 960:CLS:DIM CHANGE$(5)
70 LOCATE 3,25:PRINT   "HOLMES LIFE CHANGE EVENTS INDEX"
80 LOCATE 5,13:PRINT   "This questionnaire will help you analyze the stress"
90 LOCATE 6,13:PRINT   "that may be caused by changes in your life"
100 LOCATE 8,13:PRINT   "The Life Change Events Index was originally developed by"
110 LOCATE 9,13:PRINT   "Dr. Thomas Holmes, M.D., Professor of Psychiatry at the"
120 LOCATE 10,13:PRINT  "University of Washington.  The Index consist of 43 life"
130 LOCATE 11,13:PRINT  "events with weights ranging from 100 to 11 attached to"
140 LOCATE 12,13:PRINT  "each.  It has been found that the as the rate of change"
150 LOCATE 13,13:PRINT  "in our life increases, the greater the vulnerability or"
160 LOCATE 14,13:PRINT  "lowering of resistance to disease, and the more serious"
170 LOCATE 15,13:PRINT  "the disease that does develop."
180 LOCATE 17,13:PRINT  "If one of the following events has been true for you"
190 LOCATE 18,13:PRINT "during the past year or will occur in the near future,"
200 LOCATE 19,13:PRINT "please press the number <1>.  Otherwise, press the "
210 LOCATE 20,13:PRINT "number <2>"
220 LOCATE 23,27:PRINT "PRESS ANY KEY TO CONTINUE"
230 A$=INKEY$:IF A$="" THEN 230
240 FOR I=1 TO 43
250 READ EVENT$,IMPACT:ADJUST=(80-LEN(EVENT$))/2
260 CLS:LOCATE 4,ADJUST:PRINT EVENT$
270 LOCATE 7,37:PRINT "<1>  Yes"
280 LOCATE 9,37:PRINT "<2>  No"
290 LOCATE 12,28:PRINT "Please enter your response"
300 LOCATE 14,31:PRINT "Do NOT press <ENTER>"
310 B$=INKEY$:IF B$="" THEN 310
320 IF VAL(B$)<>INT(1) AND VAL(B$)<>INT(2) GOTO 260
330 IF VAL(B$)=1 THEN TOTAL=TOTAL+IMPACT
340 B$=""
350 NEXT I
360 CLS:LOCATE 10,26:PRINT "Your Life Change Index is";TOTAL
370 FOR J=1 TO 5:READ CHANGE$(J):NEXT J
380 IF TOTAL >=300 THEN K=1:GOTO 430
390 IF TOTAL >=250 AND TOTAL <=299 THEN K=2:GOTO 430
400 IF TOTAL >=200 AND TOTAL <=249 THEN K=3:GOTO 430
410 IF TOTAL >=150 AND TOTAL <=199 THEN K=4:GOTO 430
420 K=5
430 ADJUST=(80-LEN(CHANGE$(K)))/2:LOCATE 12,ADJUST:PRINT CHANGE$(K)
440 LOCATE 18,9:PRINT "Thank you very much for taking time to answer this questionnaire"
450 LOCATE 22,26:PRINT "PRESS ANY KEY TO END PROGRAM"
460 E$=INKEY$:IF E$="" THEN 460
470 CLS:END
480 DATA Death of Spouse,100
490 DATA Divorce,73
500 DATA Marital Separation,65
510 DATA Jail Term,63
520 DATA Death of Close Family Member,63
530 DATA Personal Injury or Illness,53
540 DATA Marriage,50
550 DATA Fired at Work,47
560 DATA Marital Reconciliation,45
570 DATA Retirement,45
580 DATA Change in Health of Family Member,44
590 DATA Pregnancy,40
600 DATA Sex Difficulties,39
610 DATA Gain of New Family Member,39
620 DATA Business Readjustment,39
630 DATA Change in Financial State,38
640 DATA Death of Close Friend,37
650 DATA Change to Different Line of Work,36
660 DATA Change in Number of Arguments with Spouse,35
670 DATA "Mortgage over $50,000",31
680 DATA Foreclosure of Mortgage or Loan,30
690 DATA Change in Responsibilities at Work,29
700 DATA Son or Daughter Leaving Home,29
710 DATA Trouble with In-Laws,29
720 DATA Outstanding Personal Achievement,28
730 DATA Spouse Begins or Stops Work,26
740 DATA Begin or End School,26
750 DATA Change in Living Conditions,25
760 DATA Revision of Personal Habits,24
770 DATA Trouble with Boss,23
780 DATA Change in Work Hours or Conditions,20
790 DATA Change in Residence,20
800 DATA Change in Schools,20
810 DATA Change in Recreation,19
820 DATA Change in Church Activities,19
830 DATA Change in Social Activities,18
840 DATA "Mortgage or Loan less than $50,000",17
850 DATA Change in Sleeping Habits,15
860 DATA Change in Number of Family Get-Togethers,15
870 DATA Change in Eating Habits,15
880 DATA Vacation,13
890 DATA Christmas (if approaching),12
900 DATA Minor Violations of the Law,11
910 DATA Your Score Indicates You Have Had Major Life Change
920 DATA Your Score Indicates You Have Had Serious Life Change
930 DATA Your Score Indicates You Have Had Moderate Life Change
940 DATA Your Score Indicates You Have Had Mild Life Change
950 DATA Your Score Indicates You Have Had Very Little Life Change
960 Z$=STRING$(80,"*"):PRINT Z$;:PRINT Z$;:LOCATE 22,1:PRINT Z$;:LOCATE 23,1:PRINT Z$;
970 X$="**"
980 C=2
990 C=C+1
1000 LOCATE C,1:PRINT X$;:LOCATE C,79:PRINT X$
1010 IF C=21 THEN 1030
1020 GOTO 990
1030 COLOR 9,0
1040 LOCATE 6,36:PRINT "HEY YOU"
1050 FOR X=1 TO 6000:NEXT X
1060 COLOR 25,0
1070 LOCATE 10,33:PRINT "!! YES, YOU !!"
1080 FOR X=1 TO 6000
1090 NEXT X
1100 COLOR 7,0
1110 LOCATE 16,28:PRINT "HOW'S LIFE BEEN TREATING"
1120 LOCATE 17,38:PRINT "YOU"
1130 LOCATE 18,36:PRINT "LATELY?"
1140 FOR X=1 TO 12000:NEXT X
1150 COLOR 7,0
1160 CLS
1170 LOCATE 1,39: PRINT "**"
1180 LOCATE 24,39: PRINT "**"
1190 LOCATE 2,37:PRINT "******
1200 LOCATE 23,37:PRINT "******
1210 LOCATE 3,34:PRINT "************"
1220 LOCATE 22,34:PRINT "************"
1230 LOCATE 4,28:PRINT "************************"
1240 LOCATE 21,28:PRINT "************************"
1250 LOCATE 5,22:PRINT "************************************"
1260 LOCATE 20,22:PRINT "************************************"
1270 LOCATE 6,16:PRINT "************************************************"
1280 LOCATE 19,16:PRINT "************************************************"
1290 LOCATE 11,27:PRINT "DON'T LET STRESS MAKE YOU"
1300 LOCATE 12,32: PRINT "ITS NEXT VICTIM"
1310 FOR X = 1 TO 6000: NEXT X
1320 LOCATE 14,24:PRINT "FIND OUT BEFORE IT'S TOO LATE !"
1330 FOR X= 1 TO 12000: NEXT X
1340 CLS
1350 GOSUB 1500
1360 RT=1:CL=1:CR=80:RB=21
1370 FOR I=1 TO 5
1380 LOCATE RT,CL+1
1390 PRINT STRING$(CR-CL-1,CHR$(205));
1400 PRINT CHR$(187)
1410 FOR J=RT+1 TO RB-1:LOCATE J,CR:PRINT CHR$(186):NEXT J
1420 LOCATE RB,CR:PRINT CHR$(188)
1430 FOR J=CR-1 TO CL+1 STEP -1:LOCATE RB,J:PRINT CHR$(205):NEXT J
1440 LOCATE RB,CL:PRINT CHR$(200)
1450 FOR J=RB-1 TO RT+1 STEP -1:LOCATE J,CL:PRINT CHR$(186):NEXT J
1460 LOCATE RT,CL:PRINT CHR$(201)
1470 RT=RT+2:CL=CL+2:CR=CR-2:RB=RB-2
1480 NEXT I
1490 GOTO 1570
1500 FOR I=1 TO 27
1510 LOCATE 10,I:PRINT CHR$(16);" HOLMES LIFE CHANGE INDEX ";CHR$(17)
1520 FOR K=1 TO 50:NEXT K
1530 IF I=27 THEN 1560
1540 LOCATE 10,I:PRINT " "
1550 NEXT I
1560 RETURN
1570 LOCATE 11,18:PRINT "Program written by Lawrence R. Walker, Ph.D."
1580 LOCATE 12,34:PRINT "version 1.1"
1590 FOR I=1 TO 12000:NEXT I
1600 RETURN
 "Program written by Lawrence R. Walker, Ph.D."
1580 LOCATE 12,34:PRINT "vers